Quassel IRC - Bug #665

NetworkModelController fails with multiselection
04/09/2009 10:56 PM - Sputnick

Status: Resolved Start date: 04/09/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.2

Version: 0.41 0S: Any
Description

For example, selecting several buffers and trying to hide them all will fail. Without having looked into the code, | guess this could be
to do with QModellndex becoming invalid while working with the list (aka: we remove a buffer -> model changes -> our list is invalid).

Associated revisions

Revision 13c01e14bae617bed0de9507f33f77e76ba5dc9f - 04/11/2009 08:50 PM - Manuel Nickschas

Properly handle multiselections in bufferviews, fixes #665

Revision 13c01e14 - 04/11/2009 08:50 PM - Manuel Nickschas

Properly handle multiselections in bufferviews, fixes #665

Revision da40133d90f07d85c9bc6f785b1dd381d7c8a5bf - 04/12/2009 11:52 AM - Manuel Nickschas

Properly handle multiselections in bufferviews, fixes #665

Revision da40133d - 04/12/2009 11:52 AM - Manuel Nickschas

Properly handle multiselections in bufferviews, fixes #665

History

#1 - 04/12/2009 05:44 AM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 13c01e14bae617bed0de9507f33f77e76ba5dcf.
